Skip to content

Process a raw request/response body from a third party API and inject the result in the returned body.

POST
/backend/v1/scans/raw/{format}

Currently supported formats are
openai-chat-request: OpenAI chat completions API request body
openai-chat-sse: OpenAI chat completions API SSE response body
openai-responses-request: OpenAI responses API SSE request body
openai-responses-sse: OpenAI responses API SSE response body

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

format*
Type
string
Required
Valid values
"openai-chat-request""openai-chat-sse""openai-responses-request""openai-responses-sse"

Query Parameters

project

Project to use configuration for. If not provided, the global default will be used.

flagOnly

If true, the final outcome is 'flagged' if any scanner is triggered.Otherwise, the outcome depends on the scanner's mode.

Type
boolean
Default
false
requestPromptId

Optional prompt ID to link this scan request to. If provided and scan_direction is response,the scan request will be linked to the given prompt ID as a response scan.

scanDirection

The direction of the scan, either 'request' or 'response'.This is used for determining which guardrails to apply based on project configuration.

Type
string
Valid values
"request""response"
Default
"request"

Request Body

*/*
JSON
"string"

Responses

Successful Response

text/plain
JSON
"string"

Playground

Server
Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI

Updated at: